<?php
  include("../lib.php");
  $stats = json_decode(file_get_contents("status.txt"));
  if(isset($_GET["update"])) {
    if(time() - filemtime("status.txt") > 10) {
      shell_exec("mcstatus 172.16.0.2:25665 json > /var/www/gaming/fiori/status.txt");
    }
    header("Location: ./");
  }
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="../style.css" rel="stylesheet" type="text/css" media="all"/>
    <title>Fiori</title>
    <?php
      $theday = (int)floor((time() / 3600) / 24);
      srand($theday);
      $bgs = glob("bg/*.png");
      $bg = $bgs[array_rand($bgs)];
      echo "<style type='text/css'>body{background-image:url('$bg');}</style>";
    ?>
    <style>
      #about, #mods, #credits {
        display: none;
      }

      input#abouttoggle:checked ~ #about {
        display: initial;
      }
      input#abouttoggle:checked ~ nav label[for=abouttoggle] {
        font-weight: bold;
      }
      input#modstoggle:checked ~ #mods {
        display: initial;
      }
      input#modstoggle:checked ~ nav label[for=modstoggle] {
        font-weight: bold;
      }
      /*input#creditstoggle:checked + #credits {
        display: initial;
      }
      input#creditstoggle:checked + label[for=creditstoggle] {
        font-weight: bold;
      }*/
      .info {
        grid-template-areas:
          'game ip port'
          'online players lastchecked'
      }
      @media only screen and (hover: none) {
        .info {
          display: flex;
          flex-direction: column;
          width: fit-content;
          margin: auto;
        }
      }
    </style>
  </head>
  <body>
    <main>
      <a id="home" href="../">home</a>
      <h1>Fiori</h1>
      <div class="info">
        <div style="grid-area: game;">Game: Minecraft<?php if($stats->online) { echo " " . $stats->version; } ?><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;SkyFactory 4</div>
        <div style="grid-area: ip;">IP: <span class="default"><?php echo $_SERVER["SERVER_NAME"]; ?></span></div>
        <div style="grid-area: port;">Port: 25665</div>
        <div style="grid-area: online;">Online: <?php if($stats->online) {
            echo "<span style='color: #00ee00;'>Yes</span></div><div style='grid-area: players;'>Players: " . $stats->player_count . "/" . $stats->player_max . "</div>";
          } else {
            echo "<span style='color: red;'>No</span></div>"; 
          }?>
        <div style="grid-area: lastchecked;">Checked <span title="Click here to ping the Minecraft server to check if it's online. As a preventative anti-spam measure, there is a ten-second cooldown on doing this."><?php 
            $ago = time() - filemtime("status.txt");
            $hago = roundtime($ago) . " ago";
            if($ago > 10) {
              echo "<a href='?update' style='text-decoration: none;'>$hago</a> <a href='?update'><svg xmlns='http://www.w3.org/2000/svg' viewBox='-1.5 -2.5 24 24' width='1em' fill='currentColor'><path d='M17.83 4.194l.42-1.377a1 1 0 1 1 1.913.585l-1.17 3.825a1 1 0 0 1-1.248.664l-3.825-1.17a1 1 0 1 1 .585-1.912l1.672.511A7.381 7.381 0 0 0 3.185 6.584l-.26.633a1 1 0 1 1-1.85-.758l.26-.633A9.381 9.381 0 0 1 17.83 4.194zM2.308 14.807l-.327 1.311a1 1 0 1 1-1.94-.484l.967-3.88a1 1 0 0 1 1.265-.716l3.828.954a1 1 0 0 1-.484 1.941l-1.786-.445a7.384 7.384 0 0 0 13.216-1.792 1 1 0 1 1 1.906.608 9.381 9.381 0 0 1-5.38 5.831 9.386 9.386 0 0 1-11.265-3.328z'></path></svg></a>";
            } else {
              echo $hago;
            }
        ?>
        </div>
      </div>
      <input type="radio" name="toggles" id="abouttoggle" checked>
      <input type="radio" name="toggles" id="modstoggle">
      <!--input type="radio" name="toggles" id="creditstoggle"-->
      <nav>
        <label for="abouttoggle">About</label>
        <label for="modstoggle">Mods/Gamerules</label>
        <!--label for="creditstoggle">Credits</label-->
      </nav>

      <div id="about">
        <h2>About</h2>
        <p>Semi-private modded Minecraft server, running the SkyFactory 4 modpack. Has a whitelist, but I'll probably add you if you ask and don't seem insane.</p>
        <h2>Rules</h2>
        <p>No special rules, but keep in mind that space and resources are limited. Sharing is encouraged.</p>
      </div>

      <div id="mods">
        <h2>Gamerules</h2>
        <ul>
          <li><b>mobGriefing</b>: false</li>
          <li><b>keepInventory</b>: true</li>
        </ul>
        <h2>Mods</h2>
        <p>This server runs SkyFactory 4, which you can get from the following places:</p>
        <ul>
          <li><a href="https://prismlauncher.org/">Prism Launcher</a> (Recommended)</li>
          <li><a href="https://atlauncher.com/pack/SkyFactory4">ATLauncher</a></li>
          <li><a href="https://www.curseforge.com/minecraft/modpacks/skyfactory-4">CurseForge</a></li>
        </ul>
        <p>SkyFactory 4 is a Forge modpack that includes the following mods:</p>
        <ul>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/advancement-book" target="_blank">Advancement Book</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ae2-stuff" target="_blank">AE2 Stuff</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/animal-crops" target="_blank">Animal Crops</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/apotheosis" target="_blank">Apotheosis</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/appleskin" target="_blank">AppleSkin</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/applied-energistics-2" target="_blank">Applied Energistics 2</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/aroma1997core" target="_blank">Aroma1997Core</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/aromabackup" target="_blank">AromaBackup</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/astral-sorcery" target="_blank">Astral Sorcery</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/base" target="_blank">B.A.S.E</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/barrels-drums-storage-more" target="_blank">Barrels, Drums, Storage &amp; More</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/baubles" target="_blank">Baubles</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bdlib" target="_blank">BD Lib</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bed-patch" target="_blank">Bed Patch</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/better-advancements" target="_blank">Better Advancements</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bibliocraft" target="_blank">BiblioCraft</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bnbgamingcore" target="_blank">BnBGamingCore</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bnbgaminglib" target="_blank">BNBGamingLib</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bonsai-trees" target="_blank">Bonsai Trees</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bookshelf" target="_blank">Bookshelf</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/bouncy-creepers" target="_blank">bouncy_creepers</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/building-gadgets" target="_blank">Building Gadgets</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/calm-down-zombie-guy" target="_blank">Calm Down Zombie Guy</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/carry-on" target="_blank">Carry On</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ceramics" target="_blank">Ceramics</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/chargers" target="_blank">Chargers</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/chineseworkshop" target="_blank">ChineseWorkshop</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/chisel" target="_blank">Chisel</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/chisels-bits" target="_blank">Chisels &amp; Bits</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/click-machine" target="_blank">Click Machine</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/client-tweaks" target="_blank">Client Tweaks</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/clumps" target="_blank">Clumps</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/codechicken-lib-1-8" target="_blank">CodeChicken Lib</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/cofh-core" target="_blank">CoFH Core</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/cofh-world" target="_blank">CoFH World</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/coloured-tooltips" target="_blank">Coloured Tooltips</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/common-capabilities" target="_blank">CommonCapabilities</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/compact-machines" target="_blank">Compact Machines 3</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/compactstorage" target="_blank">CompactStorage</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/compatchedstorage" target="_blank">ComPatchedStorage</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/constructs-armory" target="_blank">Construct's Armory</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/contenttweaker" target="_blank">ContentTweaker</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/controlling" target="_blank">Controlling</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/cooking-for-blockheads" target="_blank">Cooking for Blockheads</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/crafttweaker" target="_blank">CraftTweaker2</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ctm" target="_blank">CTM</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/cucumber" target="_blank">Cucumber Library</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/culinary-construct" target="_blank">Culinary Construct</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/custom-main-menu" target="_blank">Custom Main Menu</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/cyclic" target="_blank">Cyclic</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/cyclops-core" target="_blank">Cyclops Core</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/dark-utilities" target="_blank">Dark Utilities</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/deep-mob-learning" target="_blank">Deep Mob Learning</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/default-options" target="_blank">Default Options</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/dimension-stages" target="_blank">Dimension Stages</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/openblocks-elevator" target="_blank">Elevator Mod</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/enchantment-descriptions" target="_blank">Enchantment Descriptions</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ender-crop" target="_blank">Ender Crop</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ender-utilities" target="_blank">Ender Utilities</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/endercore" target="_blank">EnderCore</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ender-storage-1-8" target="_blank">EnderStorage</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/extended-crafting" target="_blank">Extended Crafting</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/extracells2" target="_blank">Extra Cells 2</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/fancy-block-particles" target="_blank">Fancy Block Particles</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/farming-for-blockheads" target="_blank">Farming for Blockheads</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/fastfurnace" target="_blank">FastFurnace</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/fastworkbench" target="_blank">FastWorkbench</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/fence-overhaul" target="_blank">Fence Overhaul</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/findme" target="_blank">FindMe</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/flux-networks" target="_blank">Flux Networks</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/foamfix-optimization-mod" target="_blank">FoamFix</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/cb-multipart" target="_blank">Forge Multipart CBE</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/forgiving-void" target="_blank">Forgiving Void</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/game-stages" target="_blank">Game Stages</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/guide-api" target="_blank">Guide-API</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/headcrumbs" target="_blank">Headcrumbs</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/horse-power" target="_blank">Horse Power</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/hunting-dimension" target="_blank">Hunting Dimension</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/hurt-animation-remover" target="_blank">Hurt Animation Remover</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ignition-hydrogel" target="_blank">HydroGel</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/in-control" target="_blank">InControl</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/industrial-foregoing" target="_blank">Industrial Foregoing</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/inspirations" target="_blank">Inspirations</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/integrated-dynamics" target="_blank">Integrated Dynamics</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/integrated-tunnels" target="_blank">Integrated Tunnels</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/iron-jetpacks" target="_blank">Iron Jetpacks</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/item-stages" target="_blank">Item Stages</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/journeymap" target="_blank">JourneyMap</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/jei" target="_blank">Just Enough Items</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/kleeslabs" target="_blank">KleeSlabs</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/limitless-structure-blocks" target="_blank">Limitless Structure Blocks</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/loading-screens" target="_blank">Loading Screens</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/malisiscore" target="_blank">MalisisCore</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/malisisdoors" target="_blank">MalisisDoors</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mantle" target="_blank">Mantle</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/matteroverdrive-legacy" target="_blank">MatterOverdrive: Legacy Edition</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mcjtylib" target="_blank">McJtyLib</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mcmultipart" target="_blank">MCMultiPart</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mekanism" target="_blank">Mekanism</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mekanism-generators" target="_blank">Mekanism: Generators</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mercurius" target="_blank">Mercurius</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mob-stages" target="_blank">Mob Stages</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mob-grinding-utils" target="_blank">mob_grinding_utils</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/modtweaker" target="_blank">Mod Tweaker</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mputils-basic-tools" target="_blank">ModPack Basic Tools</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mputils" target="_blank">ModPack Utilities</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/more-buckets" target="_blank">More Buckets</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/more-cauldrons" target="_blank">More Cauldrons</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/more-overlays" target="_blank">MoreOverlays</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/morpheus" target="_blank">Morpheus</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mouse-tweaks" target="_blank">Mouse Tweaks</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mtlib" target="_blank">MTLib</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mystcraft" target="_blank">Mystcraft</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mystical-agradditions" target="_blank">Mystical Agradditions</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/mystical-agriculture" target="_blank">Mystical Agriculture</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/neat" target="_blank">Neat</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/nuclearcraft-mod" target="_blank">NuclearCraft</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ogdragon" target="_blank">OG Dragon+</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/opencomputers" target="_blank">OpenComputers</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/oc-xnet-driver" target="_blank">OpenComputers Xnet Driver</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ore-excavation" target="_blank">OreExcavation</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/parabox" target="_blank">Parabox</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/patchouli" target="_blank">Patchouli</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/pickle-tweaks" target="_blank">Pickle Tweaks</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ichunutil" target="_blank">PigUtils</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/pipe-master-2000" target="_blank">Pipe Goggles</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/placebo" target="_blank">Placebo</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/dragon-murder" target="_blank">PlaneFix</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/portal-gun" target="_blank">PortalGun</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/practical-logistics-2" target="_blank">Practical Logistics 2</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/prestige" target="_blank">Prestige</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/primitive-crafting" target="_blank">Primitive Crafting</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/projecte" target="_blank">ProjectE</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/proportional-destruction-particles" target="_blank">Proportional Destruction Particles</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ranged-pumps" target="_blank">Ranged Pumps</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/real-filing-cabinet" target="_blank">Real Filing Cabinet</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/reauth" target="_blank">ReAuth</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/recipe-stages" target="_blank">RecipeStages</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/redstone-flux" target="_blank">Redstone Flux</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/resource-hogs" target="_blank">Resource Hogs</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/resource-loader" target="_blank">Resource Loader</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/rftools-power" target="_blank">RFTools Power</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/rustic" target="_blank">Rustic</a></li>
          <li><a href="https://www.curseforge.com/minecraft/modpacks/skyfactory-4" target="_blank">SF4 Server Configs</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/shadowfacts-forgelin" target="_blank">Shadowfacts' Forgelin</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/simple-generators" target="_blank">Simple Generators</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/inventory-sorter" target="_blank">Simple Inventory sorting</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/simple-storage-network" target="_blank">Simple Storage Network</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/simple-tomb" target="_blank">Simple Tomb</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/sky-bonsais" target="_blank">Sky Bonsais</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/sky-grid" target="_blank">Sky Grid</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/sky-orchards" target="_blank">sky_orchards</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/slab-machines" target="_blank">Slab Machines</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/slimyboyos" target="_blank">SlimyBoyos</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/smooth-font" target="_blank">Smooth Font</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/snad" target="_blank">Snad</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/sonar-core" target="_blank">SonarCore</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/id-squeezer-tweak" target="_blank">Squeezer Patch</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/statues" target="_blank">Statues mod</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/stuff-a-sock-in-it" target="_blank">Stuff A Sock In It</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/super-sound-muffler-revived" target="_blank">Super Sound Muffler: Revived</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/surge" target="_blank">Surge</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/swingthroughgrass" target="_blank">SwingThroughGrass</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/sync" target="_blank">Sync</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tallgates" target="_blank">TallGates</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/telepastries" target="_blank">TelePastries</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tesla-core-lib" target="_blank">Tesla Core Lib</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/the-lost-cities" target="_blank">The Lost Cities</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/the-twilight-forest" target="_blank">The Twilight Forest</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/the-weirding-gadget" target="_blank">The Weirding Gadget</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/thermal-dynamics" target="_blank">Thermal Dynamics</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/thermal-foundation" target="_blank">Thermal Foundation</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/thermal-innovation" target="_blank">Thermal Innovation</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tinkers-tool-leveling" target="_blank">Tinkers Tool Leveling</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tinkers-complement" target="_blank">Tinkers' Complement</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tinkers-construct" target="_blank">Tinkers' Construct</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tiny-progressions" target="_blank">Tiny Progressions</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tipthescales" target="_blank">TipTheScales</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/toast-control" target="_blank">Toast Control</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/together-forever" target="_blank">TogetherForever</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/topography" target="_blank">Topography</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/torchmaster" target="_blank">TorchMaster</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/translocators-1-8" target="_blank">Translocators</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/tree-growing-simulator" target="_blank">Tree Growing Simulator 2016</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/triumph" target="_blank">Triumph</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/twitchcrumbs" target="_blank">Twitchcrumbs</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/uppers" target="_blank">uppers</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/valkyrielib" target="_blank">Valkyrie Lib</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/viescraft-airships" target="_blank">ViesCraft</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/waddles" target="_blank">Waddles</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/hwyla" target="_blank">Waila</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/waila-stages" target="_blank">Waila Stages</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/wall-jump" target="_blank">Wall-Jump!</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/wawla" target="_blank">What Are We Looking At</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/withercrumbs" target="_blank">Wither Crumbs</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/world-book" target="_blank">World Book</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/world-utils" target="_blank">World Utils</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/xl-food-mod" target="_blank">XL Food Mod</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/xnet" target="_blank">XNet</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/ynot" target="_blank">YNot</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/yoyos" target="_blank">Yoyos</a></li>
          <li><a href="https://www.curseforge.com/minecraft/mc-mods/zenstages" target="_blank">ZenStages</a></li>
        </ul>
      </div>

      <!--div id="credits">
        <h2>Credits</h2>
      </div-->
    </main>
    <script src="../link.js"></script>
    <?php //include('chromealert.php'); ?>
  </body>
</html>