<?php
  include("../lib.php");
  $stats = json_decode(file_get_contents("status.txt"));
  if(isset($_GET["update"])) {
    if(time() - filemtime("status.txt") > 10) {
      shell_exec("mcstatus 172.16.0.2:25565 json > /var/www/gaming/lasagna/status.txt");
    }
    header("Location: ./");
  }
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="../style.css" rel="stylesheet" type="text/css" media="all"/>
    <title>Lasagna</title>
    <?php
      $theday = (int)floor((time() / 3600) / 24);
      srand($theday);
      $bgs = glob("bg/*.png");
      $bg = $bgs[array_rand($bgs)];
      echo "<style type='text/css'>body{background-image:url('$bg');}</style>";
    ?>
    <style>
      #about, #gamerules, #credits {
        display: none;
      }

      input#abouttoggle:checked ~ #about {
        display: initial;
      }
      input#abouttoggle:checked ~ nav label[for=abouttoggle] {
        font-weight: bold;
      }
      input#gamerulestoggle:checked ~ #gamerules {
        display: initial;
      }
      input#gamerulestoggle:checked ~ nav label[for=gamerulestoggle] {
        font-weight: bold;
      }
      input#creditstoggle:checked ~ #credits {
        display: initial;
      }
      input#creditstoggle:checked ~ nav label[for=creditstoggle] {
        font-weight: bold;
      }
      .info {
        grid-template-areas:
          'game ip port'
          'online players lastchecked'
      }
      @media only screen and (hover: none) {
        .info {
          display: flex;
          flex-direction: column;
          width: fit-content;
          margin: auto;
        }
      }
    </style>
  </head>
  <body>
    <main>
      <a id="home" href="../">home</a>
      <h1>Lasagna</h1>
      <div class="info">
        <div style="grid-area: game;">Game: Minecraft<?php if($stats->online) { echo " " . $stats->version; } ?></div>
        <div style="grid-area: ip;">IP: <span class="default"><?php echo $_SERVER["SERVER_NAME"]; ?></span></div>
        <div style="grid-area: port;">Port: <span class="default">25565</span></div>
        <div style="grid-area: online;">Online: <?php if($stats->online) {
            echo "<span style='color: #00ee00;'>Yes</span></div><div style='grid-area: players;'>Players: " . $stats->player_count . "/" . $stats->player_max . "</div>";
          } else {
            echo "<span style='color: red;'>No</span></div>"; 
          }?>
        <div style="grid-area: lastchecked;">Checked <span title="Click here to ping the Minecraft server to check if it's online. As a preventative anti-spam measure, there is a ten-second cooldown on doing this."><?php 
            $ago = time() - filemtime("status.txt");
            $hago = roundtime($ago) . " ago";
            if($ago > 10) {
              echo "<a href='?update' style='text-decoration: none;'>$hago</a> <a href='?update'><svg xmlns='http://www.w3.org/2000/svg' viewBox='-1.5 -2.5 24 24' width='1em' fill='currentColor'><path d='M17.83 4.194l.42-1.377a1 1 0 1 1 1.913.585l-1.17 3.825a1 1 0 0 1-1.248.664l-3.825-1.17a1 1 0 1 1 .585-1.912l1.672.511A7.381 7.381 0 0 0 3.185 6.584l-.26.633a1 1 0 1 1-1.85-.758l.26-.633A9.381 9.381 0 0 1 17.83 4.194zM2.308 14.807l-.327 1.311a1 1 0 1 1-1.94-.484l.967-3.88a1 1 0 0 1 1.265-.716l3.828.954a1 1 0 0 1-.484 1.941l-1.786-.445a7.384 7.384 0 0 0 13.216-1.792 1 1 0 1 1 1.906.608 9.381 9.381 0 0 1-5.38 5.831 9.386 9.386 0 0 1-11.265-3.328z'></path></svg></a>";
            } else {
              echo $hago;
            }
        ?>
        </div>
      </div>
      <input type="radio" name="toggles" id="abouttoggle" checked>
      <input type="radio" name="toggles" id="gamerulestoggle">
      <input type="radio" name="toggles" id="creditstoggle">
      <nav>
        <label for="abouttoggle">About</label>
        <label for="gamerulestoggle">Gamerules/Datapacks</label>
        <label for="creditstoggle">Credits</label>
      </nav>

      <div id="about">
        <h2>About</h2>
        <p>A private Minecraft survival server for me and some friends, affectionately termed "Lasagna" by some of them for reasons. Vanilla, but stuffed to brimming with datapacks and custom resources. We do little a lore, as a treat.</p>
      </div>

      <div id="gamerules">
        <h2>Gamerules</h2>
        <ul>
          <li><b>doFireTick</b>: false</li>
          <li><b>keepInventory</b>: true</li>
        </ul>
        <h2>Datapacks</h2>
        <h3>Crafting:</h3>
        <ul>
          <li>Dispensers can be crafted by combining a dropper with a bow or adding a dropper to the bow crafting recipe</li>
          <li>Rotten flesh smelts into leather</li>
          <li>Coal and charcoal can be crafted into black dye</li>
          <li>Sandstone can be dyed red</li>
          <li>Dyed blocks like terracotta and glass can be re-dyed</li>
          <li>"Straight line" recipes like shulker boxes and bread are shapeless for easy 2x2 crafting</li>
          <li>Blackstone is a universal drop-in replacement for cobblestone</li>
          <li>The bark recipe makes 4 bark blocks instead of 3</li>
          <li>Name tags and horse armor are craftable</li>
          <li>Wool and nether wart blocks can be de-crafted</li>
          <li>Sticky pistons can be crafted using honey instead of slime</li>
          <li>Invisible item frames can be crafted with 8 sticks and a glass pane</li>
          <li>Concrete can be mass hardened by throwing a stack of it into a cauldron full of water</li>
          <li>Drop an elytra and a chesplate on an anvil to merge them, drop it onto a grindstone to reverse it. Enchantments are preserved.</li>
        </ul>
        <h3>Quality of life:</h3>
        <ul>
          <li title="This is here instead of simply disabling the mobGriefing gamerule because the gamerule also stops piglins from picking up gold from the ground.">Creepers, ghasts and endermen cannot grief.</li>
          <li>Accelerated leaf decay</li>
          <li>Nether portals can be any shape and can include crying obsidian</li>
          <li>Mobs can be silenced by naming them "Silence me", "silence me" or "silence_me"</li>
          <li>Shulker shell drop rates increased significantly</li>
          <li>Teleportation commands:
            <ul>
              <li>/trigger back - Sends you to your previous location</li>
              <li>/trigger spawn - Sends you to world spawn</li>
              <li>/trigger tpa set &lt;PID&gt; - Sends a teleport request to player &lt;PID&gt;. The PID of a player can be viewed next to their name in the tab menu.</li>
              <li>/trigger home OR /trigger home set &lt;ID&gt; - Sends you to a home point you've set.</li>
              <li>/trigger sethome OR /trigger sethome set &lt;ID&gt; - Sets a home point. Current limit on homes is 10.</li>
            </ul>
          </li>
          <li>Silk touch works on spawners</li>
          <li>Drop a nether star on a lodestone to make a Chunk Loader. Try to use this one sparingly!</li>
        </ul>
        <h3>Fun:</h3>
        <ul>
          <li>Players and some mobs can drop heads when killed by players</li>
          <li>/trigger sit lets you sit</li>
          <li>There's a music disc in the end now! I had to delete Mellohi to do this.</li>
          <li>Creepers explode into confetti!</li>
        </ul>
        <h3>Other:</h3>
        <ul>
          <li>Names of AFK players are greyed out</li>
          <li>Pre-1.16 fishing loot table</li>
          <li>Elevators can be created by dropping an ender pearl onto a wool block. Jump or sneak on the elevator to warp directly up or down respectively to the next elevator of the same color.</li>
        </ul>
      </div>

      <div id="credits">
        <h2>Credits</h2>
        <h3>Optifine CIT resources:</h3>
        <ul>
          <li><a href="https://celianascended.tumblr.com">CelianAscended</a>:
            <ul>
              <li>Celian's and SadFlowerBoy's Elytra</li>
              <li>sord</li>
              <li>Danny Devito</li>
              <li>"sand"</li>
              <li>moths</li>
              <li>crab</li>
              <li>snails</li>
              <li>worm on a string</li>
              <li>marketable plushies</li>
              <li>"The", "Pumpkin Man :)", and "The Animal" framed pictures</li>
            </ul>
          </li>
          <li><a href="https://www.planetminecraft.com/texture-pack/colored-axolotl-buckets-with-babies/">Colored axolotl buckets</a></li>
          <li><a href="https://vanillatweaks.net/">Vanilla Tweaks</a>:
            <ul>
              <li>Golden helmet crown</li>
              <li>Vex, dragon, and phantom custom elytra</li>
            </ul>
          </li>
          <li>Me:
            <ul>
              <li>"Night's Edge" and "A very sharp dildo" custom swords</li>
              <li>diamond i swear</li>
            </ul>
          </li>
        </ul>
        <h3>Vanilla resources:</h3>
        <ul>
          <li><a href="https://vanillatweaks.net/">Vanilla Tweaks</a>:
            <ul>
              <li>Banner shield fix</li>
              <li>Horizontal world border</li>
              <li>Visually distinguishable pumpkin/melon stems</li>
              <li>Hunger preview in food names</li>
              <li>Noteblock indicators</li>
              <li>Taller saplings</li>
            </ul>
          </li>
          <li><a href="https://deeptwisty.com/">Me</a>:
            <ul>
              <li>Bridges in place of 11</li>
              <li>Cumulonimbus in place of 13</li>
              <li>Extradimensional in place of Mellohi</li>
            </ul>
          </li>
        </ul>
      </div>
    </main>
    <script src="../link.js"></script>
    <?php //include('chromealert.php'); ?>
  </body>
</html>